summaryrefslogtreecommitdiff
path: root/distro/redhat/etc/init.d/chef-server-webui
diff options
context:
space:
mode:
Diffstat (limited to 'distro/redhat/etc/init.d/chef-server-webui')
-rw-r--r--distro/redhat/etc/init.d/chef-server-webui112
1 files changed, 112 insertions, 0 deletions
diff --git a/distro/redhat/etc/init.d/chef-server-webui b/distro/redhat/etc/init.d/chef-server-webui
new file mode 100644
index 0000000000..f26f9c1f9a
--- /dev/null
+++ b/distro/redhat/etc/init.d/chef-server-webui
@@ -0,0 +1,112 @@
+#!/bin/bash
+#
+# chef-server-webui Startup script for chef-server-webui
+#
+# chkconfig: - 97 03
+# description: Server WebUI component of the Chef systems integration framework.
+
+### BEGIN INIT INFO
+# Provides: chef-server-webui
+# Required-Start: $local_fs $network $remote_fs chef-sever
+# Required-Stop: $local_fs $network $remote_fs chef-server
+# Should-Start: $named $time
+# Should-Stop: $named $time
+# Short-Description: Startup script for chef-server-webui
+# Description: Server WebUI component of the Chef systems integration framework.
+### END INIT INFO
+
+# Source function library
+. /etc/init.d/functions
+
+exec="/usr/bin/chef-server-webui"
+prog="chef-server-webui"
+
+[ -f /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+config=${CONFIG-/etc/chef/webui.rb}
+pidfile=${PIDFILE-/var/run/chef/server-webui.main.pid}
+lockfile=${LOCKFILE-/var/lock/subsys/$prog}
+logfile=${LOGFILE-/var/log/chef/server-webui.log}
+port=${PORT-4040}
+env=${ENVIRONMENT-production}
+adapter=${ADAPTER-thin}
+childpidfiles=${CHILDPIDFILES-/var/run/chef/server-webui.%s.pid}
+user=${SERVER_USER-chef}
+group=${SERVER_GROUP-chef}
+options=${OPTIONS-}
+
+start() {
+ [ -x $exec ] || exit 5
+ [ -f $config ] || exit 6
+ echo -n $"Starting $prog: "
+ daemon $prog -d -C "$config" -L "$logfile" -p "$port" -e "$env" \
+ -a "$adapter" -P "$childpidfiles" -u "$user" -G "$group" \
+ "$options" "&>/dev/null"
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc -p $pidfile $prog
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart () {
+ stop
+ start
+}
+
+reload() {
+ restart
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ # run checks to determine if the service is running or use generic status
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+ exit 2
+esac
+exit $?